ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bodewig <...@git.apache.org>
Subject [GitHub] ant issue #53: Optional libraries for Ant 1.10
Date Sun, 24 Dec 2017 10:58:10 GMT
Github user bodewig commented on the issue:

    https://github.com/apache/ant/pull/53
  
    Ahh, there is the misunderstanding. `fetch.xml` is only there for Ant development, not
for Ant users at all. It is there to be used by people who want to build and test Ant. Users
are expected to pick their dependencies as they need them.
    
    I'm not sure whether there are breaking changes between Commons Net 1.x and 3.x but if
Ant is compiled against 3.x chances are it won't work against 1.x anymore, which would break
the builds of users who depend on 1.x (and never cared about `fetch.xml` at all as they managed
their dependencies themselves).


---

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@ant.apache.org
For additional commands, e-mail: dev-help@ant.apache.org


Mime
View raw message